using System;

namespace Namestanje_Glasova
{
    class Program
    {
        static void Main(string[] args)
        {
           
            
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int q = int.Parse(s[1]);
            
            int[] a = new int[n];
            int[] b = new int[q];


            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {             
                a[i] = int.Parse(s[i]);
            }
            Array.Sort(a);
            s = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
            {
                b[i] = int.Parse(s[i]);
            }
            

            for (int i = 0; i < b.Length; i++)
            {
                if (a[a.Length / 2] == b[i]) { Console.WriteLine(0); continue; }
                Console.WriteLine(Resi(a, b[i],1));
            }
            
        }
        static int Resi(int[] a,int broj, int ponavljanje)
        {
            
            int[] c = new int[a.Length+ponavljanje];

            for (int i = 0; i < a.Length; i++)
            {
                c[i] = a[i];
            }
            for (int i = a.Length; i < c.Length; i++)
            {
                c[i] = broj;
            }
            Array.Sort(c);

            if (c[c.Length / 2] == broj) return ponavljanje; 

            return Resi(a, broj, ponavljanje + 1);


            
        }
    }
}